Log In - Home Page

Patch: Row-security based on Updatable security barrier views

Edit Patch - Move To Another CommitFest - Delete Patch

CommitFest 2014-01
Topic Security
Patch Status Needs Review
Author KaiGai Kohei, Craig Ringer
Reviewers Greg Smith, Jeff McCormick, Craig Ringer
Committer Nobody
Close Date (None)
Comments
Patch by gsmith on 2014-01-17 07:34:18 PM: Initial version.
Patch by ringerc on 2014-01-24 02:20:04 AM: Rebased original patch to master, split into a patch-series, available in git (see message). Pending rewrite on top of security barrier views.
Patch by ringerc on 2014-01-29 01:49:15 PM: First working patch based upon updatable security barrier views. Missing COPY support and not passing all tests yet.
Comment by ringerc on 2014-01-30 07:58:19 AM: Proposal to prohibit combination of inheritance and row-security for 9.4.
Comment by petere on 2014-02-02 09:42:57 PM: build failed (docs): http://pgci.eisentraut.org/jenkins/job/postgresql_commitfest_world/344/
Patch by ringerc on 2014-02-06 04:45:26 AM: v3, Fixes an issue with rowmarking
Comment by ringerc on 2014-02-06 04:45:46 AM: Details on remaining limitations of v3 patch
Patch by ringerc on 2014-02-06 04:46:22 AM: v4, handles recursion detection, ERRORs on COPY
Comment by ringerc on 2014-02-06 04:47:08 AM: Tom firmly rejects recursion fix
Patch by ringerc on 2014-02-06 04:47:29 AM: v5, different recursion approach
Comment by ringerc on 2014-02-06 04:48:16 AM: Serious problem with the approach related to views, requires approach change.
Patch by ringerc on 2014-03-07 05:55:41 AM: Re-implementation in the rewriter. Needs plan invalidation support still.
Comment by ringerc on 2014-03-07 06:13:04 AM: Discussion of API change plans
Patch by tgl on 2014-04-15 05:10:11 AM: New patch version by sfrost

Add Comment

Please log in to comment on this patch.